<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLRenderSystem Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a9281d027b7bd3e576315f0ed90a29121">_applyObliqueDepthProjection</a>(Matrix4 &amp;matrix, const Plane &amp;plane, bool forGpuProgram)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a754fdf0325d4b90212b3992b4d265de8">_beginFrame</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a385581061b5d8d9af914d0439392aa62">_beginGeometryCount</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a568dd8e5d75fc7eef649dda6d14d447d">_cleanupDepthBuffers</a>(bool bCleanManualBuffers=true)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a6f64ebb75ea64a338d5a806c488f1276">_convertProjectionMatrix</a>(const Matrix4 &amp;matrix, Matrix4 &amp;dest, bool forGpuProgram=false)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0eb41719e67485588227e29dee1441ea">_createDepthBufferFor</a>(RenderTarget *renderTarget)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af902bf35fc1eb207d76fe573ecc3b931">_createRenderWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a24f267e0a7de0572930047282a5f60cb">_createRenderWindows</a>(const RenderWindowDescriptionList &amp;renderWindowDescriptions, RenderWindowList &amp;createdWindows)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a058d6805142fce7ec095a018447cbe33">_disableTextureUnit</a>(size_t texUnit)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a68e0ecb23c3eba58b5aeb06d646ce4cd">_disableTextureUnitsFrom</a>(size_t texUnit)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ab91f0c1d8e4aeaa80f5e65d813185b42">_endFrame</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#af7ed3c5ecb53897d3a17fc4d4b92e560">_getBatchCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#adef5117e5f28fb39e04b59181558a970">_getCullingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad8cf59b291dfe130523ac5c7f654adf1">_getCurrentAnisotropy</a>(size_t unit)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aacef247cf85f6ecd44b075f99555b6a2">_getDefaultViewportMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8ce62ee3c135da495b1c863a5cdca7a5">_getDepthStencilFormatFor</a>(GLenum internalColourFormat, GLenum *depthFormat, GLenum *stencilFormat)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a4405cc3651219c6422d04c9b3d843d32">_getFaceCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ae4b1a1a6fd4d2840714ebb9700f4ab25">_getMainContext</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a0e59f9845067742cf26b04037b0ce332">_getVertexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa0cf9dc2df0748f3076c5f8f1f8064db">_getViewport</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ab2660f106ccb2302539178ad146d7e89">_initialise</a>(bool autoCreateWindow, const String &amp;windowTitle=&quot;OGRE Render Window&quot;)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a83ca87a7c74baff1db1a9ff6ec61ba54">_initRenderTargets</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a96a47ef61b2e25ffcfc9a2c22ec267f4">_makeOrthoMatrix</a>(const Radian &amp;fovy, Real aspect, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af5033f08464fd001df3abc31939f86f7">_makeProjectionMatrix</a>(const Radian &amp;fovy, Real aspect, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7e02d2f768f6074c6b187741bf524c35">_makeProjectionMatrix</a>(Real left, Real right, Real bottom, Real top, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aecceb6f1a7d3113de8676d20e39260dc">_notifyCameraRemoved</a>(const Camera *cam)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a3ed10d6c66e376b46c9fcd8ef1999a77">_oneTimeContextInitialization</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a9893de6903d77fe231da1135f5ee00db">_pauseFrame</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ae864439ace42c4bf2ab645f8e2e86558">_render</a>(const RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#abe9b7d178eb5d0ea90c7b9a35f612f91">_resumeFrame</a>(RenderSystemContext *context)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0b00a68cbcfe3204d0827f0545097aee">_setAlphaRejectSettings</a>(CompareFunction func, unsigned char value, bool alphaToCoverage)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a19e8bde3e1fcd98d6ad204e21de62ff6">_setColourBufferWriteEnabled</a>(bool red, bool green, bool blue, bool alpha)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ac802e9894f4bca8d89cfaa40ab6ed144">_setCullingMode</a>(CullingMode mode)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa40f16fe1001f0aa26dfea32070e8056">_setDepthBias</a>(float constantBias, float slopeScaleBias)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a6f61cc59a145d0498db5407c8ef93269">_setDepthBufferCheckEnabled</a>(bool enabled=true)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a555ced43b4ad8f029398f3bd94f1a128">_setDepthBufferFunction</a>(CompareFunction func=CMPF_LESS_EQUAL)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8d7585c9fb2b4671f68a30bc6c597ce9">_setDepthBufferParams</a>(bool depthTest=true, bool depthWrite=true, CompareFunction depthFunction=CMPF_LESS_EQUAL)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7d228af55657a51dfb1d222a4e6e93c2">_setDepthBufferWriteEnabled</a>(bool enabled=true)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af6ef8cf2361aa57a0956599e4b72011c">_setFog</a>(FogMode mode, const ColourValue &amp;colour, Real density, Real start, Real end)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa5876c5905c9bf391ba5a6cb048091f7">_setPointParameters</a>(Real size, bool attenuationEnabled, Real constant, Real linear, Real quadratic, Real minSize, Real maxSize)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1e6d7387880c747e089d9eb45c2afeb7">_setPointSpritesEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a23edcc88ccb0bcbcb680a0fcc3cf1494">_setPolygonMode</a>(PolygonMode level)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a463edc7f303f05401baadb8e4a4fb502">_setProjectionMatrix</a>(const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7f6bfda3de0fefe029b0a9fdd713314f">_setRenderTarget</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5ecfdabe32251e80ef57bc594dba7506">_setSceneBlending</a>(SceneBlendFactor sourceFactor, SceneBlendFactor destFactor, SceneBlendOperation op)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a673f7eb0b887a5d61d570651a8aa3829">_setSceneBlendingOperation</a>(SceneBlendOperation op)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a6f3c83cc74f963cdf80223abd4b0bbd6">_setSeparateSceneBlending</a>(SceneBlendFactor sourceFactor, SceneBlendFactor destFactor, SceneBlendFactor sourceFactorAlpha, SceneBlendFactor destFactorAlpha, SceneBlendOperation op, SceneBlendOperation alphaOp)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a708300fc5143c33ed39a32023f3be1e4">_setSeparateSceneBlendingOperation</a>(SceneBlendOperation op, SceneBlendOperation alphaOp)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#abb1907dda34e378deba4cffdb0d0a269">_setSurfaceParams</a>(const ColourValue &amp;ambient, const ColourValue &amp;diffuse, const ColourValue &amp;specular, const ColourValue &amp;emissive, Real shininess, TrackVertexColourType tracking)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af386371d383841ee4202352a5d2ca1c6">_setTexture</a>(size_t unit, bool enabled, const TexturePtr &amp;tex)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aaa2dacc8b8fc28c649a8a603d1f5909c">Ogre::RenderSystem::_setTexture</a>(size_t unit, bool enabled, const String &amp;texname)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#acedc9cf07c010f3579d1f92f4ca5d18b">_setTextureAddressingMode</a>(size_t stage, const TextureUnitState::UVWAddressingMode &amp;uvw)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a533c3fcd317b3f8c4c9b872ec81e85c5">_setTextureBlendMode</a>(size_t stage, const LayerBlendModeEx &amp;bm)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#acf58133dea0e52a8e87fe298fc6bf288">_setTextureBorderColour</a>(size_t stage, const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aac03f63c77f0728121db8bd8b3d36ccd">_setTextureCoordCalculation</a>(size_t stage, TexCoordCalcMethod m, const Frustum *frustum=0)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a4ba1d55294de60fe8642528f00aa7c47">_setTextureCoordSet</a>(size_t stage, size_t index)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7451f77bcd9029684e6d52df61e1f8cc">_setTextureLayerAnisotropy</a>(size_t unit, unsigned int maxAnisotropy)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a9dc0ac6493242e225ed03ba0049a9ae3">_setTextureMatrix</a>(size_t stage, const Matrix4 &amp;xform)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1d53c10bd82bc8de155f6882fdd0c79b">_setTextureMipmapBias</a>(size_t unit, float bias)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a91e7ee7dd1f244ffa9a0681efb6fae6c">_setTextureProjectionRelativeTo</a>(bool enabled, const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#abfa29b60a904af42706370b91905e1cc">_setTextureUnitFiltering</a>(size_t unit, FilterType ftype, FilterOptions filter)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#adbc64c669661f87ee2f8db8dd18a0fe5">Ogre::RenderSystem::_setTextureUnitFiltering</a>(size_t unit, FilterOptions minFilter, FilterOptions magFilter, FilterOptions mipFilter)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ad504623eff0678f9f79b075f32673414">_setTextureUnitSettings</a>(size_t texUnit, TextureUnitState &amp;tl)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#af40bfb084b051d8433b0893921613ba7">_setVertexTexture</a>(size_t unit, const TexturePtr &amp;tex)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad426fb02df31d8b12f8f2d0f713a5e28">_setViewMatrix</a>(const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad2cbeae78510938a2d77e08d011a1c59">_setViewport</a>(Viewport *vp)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a9442fcdf97b2723c588dee0489f2aefc">_setWorldMatrices</a>(const Matrix4 *m, unsigned short count)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a65edb67cf43b19c6fb2468b539d01065">_setWorldMatrix</a>(const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae8365c3a108964861ca4af053e84901f">_swapAllRenderTargetBuffers</a>(bool waitForVsync=true)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa69afb34f921df829ddfb3c22165f6c2">_switchContext</a>(GLContext *context)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0a04e023983b11eb8e96441644aa1fbf">_unregisterContext</a>(GLContext *context)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a8ef6bbe5a63769cfe73319ac418624a8">_updateAllRenderTargets</a>(bool swapBuffers=true)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8a2df3e1ae7f03c553ed3988e4fa1418">_useLights</a>(const LightList &amp;lights, unsigned short limit)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1eb2433f12e3949134bc956ed90ea2be">activateGLTextureUnit</a>(size_t unit)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#abe0fbe6b4972baf14137235fe3f6c499">addClipPlane</a>(const Plane &amp;p)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a2eb75175291761881bdc0d73ec379089">addClipPlane</a>(Real A, Real B, Real C, Real D)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ada5d01c8a4eb8e64140d92fce245800c">addListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1717dc0498bad4ec6213dcf2858ace7c">areFixedFunctionLightsInViewSpace</a>() const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae3aa9e2fd13e2b066f3f2f56018bd4be">attachRenderTarget</a>(RenderTarget &amp;target)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aac0ea19643a55921a6fd968bb698d7fb">bindGpuProgram</a>(GpuProgram *prg)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#abe7645864b1d97f1e5305da9bcfc67fc">bindGpuProgramParameters</a>(GpuProgramType gptype, GpuProgramParametersSharedPtr params, uint16 variabilityMask)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af9e0875b43e73dcaebbbc4296114bb0f">bindGpuProgramPassIterationParameters</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a69776ec7b48ce0a088411e16b8231176">bindVertexElementToGpu</a>(const VertexElement &amp;elem, HardwareVertexBufferSharedPtr vertexBuffer, const size_t vertexStart, vector&lt; GLuint &gt;::type &amp;attribsBound, vector&lt; GLuint &gt;::type &amp;instanceAttribsBound)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a54d191e0257488ac65b44015bcc35be3">clearFrameBuffer</a>(unsigned int buffers, const ColourValue &amp;colour=ColourValue::Black, Real depth=1.0f, unsigned short stencil=0)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a80d543b61b1152b0dd0049961be4798e">convertColourValue</a>(const ColourValue &amp;colour, uint32 *pDest)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8dda88e90cb75c90af5ece8bb4c1d7a3">convertCompareFunction</a>(CompareFunction func) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1f5588e3d17750bf375661990ea16486">convertStencilOp</a>(StencilOperation op, bool invert=false) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a1cf9a369401092c0b8477df2ddfba18c">createHardwareOcclusionQuery</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ae6648d7257c68fdebd1dc751848b637b">createMultiRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aefa29dc36d732fd5da0b50e4ad42df66">createRenderSystemCapabilities</a>() const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ac4c60bf4c5d4347fd2b9346a90545e2b">destroyHardwareOcclusionQuery</a>(HardwareOcclusionQuery *hq)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a43a03671d1c7efd7e95100d77080eb8c">destroyRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a354ceaa02574d1cf68dcb5999b34df50">destroyRenderTexture</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a61b419c1d9065bb298ddf496016f2cb6">destroyRenderWindow</a>(RenderWindow *pWin)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a65ddf1db4aa3f463e0479c240ffc3dc5">Ogre::RenderSystem::destroyRenderWindow</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a38e818fa1817fd1cfec8655b7702e230">detachRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7071890524a4893e80ece1a814ec8480">enableClipPlane</a>(ushort index, bool enable)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a739194f14f07f7860f26af9a07fa1ce2">fireEvent</a>(const String &amp;name, const NameValuePairList *params=0)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5826c05e402b29caac8a28890671fb3f">getBlendMode</a>(SceneBlendFactor ogreBlend) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a1ea7609b7337a8b184c4348b09d5c46a">getCapabilities</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7628d46f94e8980f7d5bcdf784b13b45">getColourVertexElementType</a>(void) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8c3cfabdb6329c2779dbee279e7843bf">getCombinedMinMipFilter</a>(void) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a99d5cc49db8a8c5b55b28b28ec299a5d">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5dce6a99de09e58ef0d192197ff29fed">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ad9dbbbf4ae4dc539ebb31d99c7e6c724">getDriverVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ab2a5af2cee5b0c03a1b789691cab756e">getErrorDescription</a>(long errorNumber) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a9a59c2e2f1795aa86ccfe96ce2623dfd">getGlobalInstanceVertexBuffer</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a4b0e5a81d4ce2534e1c3cc82efc5acd4">getGlobalInstanceVertexBufferVertexDeclaration</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a6823cf17bf280d7d6cf30a5fb9205e6a">getGlobalNumberOfInstances</a>() const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af892523ef0d5c70ee994668d1ac43fb0">getHorizontalTexelOffset</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab3e49f56657126038dffde74bbc8bfdd">getInvertVertexWinding</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5471e9e8c92f85ec028e6183137ea801">getMaximumDepthInputValue</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0d11c9bb36d85f26e665e442a82eec7b">getMinimumDepthInputValue</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab0aa0cedf1898f8cc70e290703b428c7">getMutableCapabilities</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a70abe96866f2312453bb05cfaa86e1cc">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a8f3b7402316e7162fb5778235fc6e2f2">getRenderSystemEvents</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a313d7af5018e65802d96aa7124700db7">getRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a2e8f34e7464302fbce845f1d3fd468c8">getRenderTargetIterator</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5d5ae6fb70f4a269cdd8b1d80549aab6">getTextureAddressingMode</a>(TextureUnitState::TextureAddressingMode tam) const </td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af1b0e4a4911ebfed2c1297434b6fe41e">getVerticalTexelOffset</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a16bc1ae27d9e3cdf9cfffdb4ed4724c6">getWaitForVerticalBlank</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a8f7260f2196b08677b2a233f9f7ef8e5">getWBufferEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad513df0171676484129fd8671d592368">GLContextList</a> typedef</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a645c652995972bdc77ab87fa550fd4f9">GLRenderSystem</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae5a2c5b72bc48a8b525ce7f305af11ce">HardwareOcclusionQueryList</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a98b807487ddb1ab627adc5bad9c9f37e">initConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a7eb6263ada5d0e56d6655441b10cf8b9">initialiseContext</a>(RenderWindow *primary)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a3e98fb2adf19867876058115dd0b9bcb">initialiseFromRenderSystemCapabilities</a>(RenderSystemCapabilities *caps, RenderTarget *primary)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aebe779b52bc78fd188faa3a545cf52d9">initInputDevices</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a1ac003196b5b51384f714924a0041081">isGpuProgramBound</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab1bb1a0a6617b68f8d05ab81b9d939f3">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a5b9972dd9bb47c45732ad1c82c55817d">mActiveFragmentGpuProgramParameters</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a2d602052ff01a8fd78455916c57a4cef">mActiveGeometryGpuProgramParameters</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a398254faea8f9fe6454abb38eee5b3f4">mActiveRenderTarget</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#add9e0674697bcdbd901c5e31b1fcede4">mActiveTextureUnit</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae98e8807b322bccf0eb160afdb54537e">mActiveVertexGpuProgramParameters</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a122f2e8cbddd313582f05677f5a26b1c">mActiveViewport</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a307c9e23e74f02a8bc526a7574eb55f3">makeGLMatrix</a>(GLfloat gl_matrix[16], const Matrix4 &amp;m)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a971eb2d822ab12db90f1fbe0392ca4d4">mAutoTextureMatrix</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a24f25294368c4ef1a11dee9045e72755">mBackgroundContextList</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a039fe39c5374812e776c677404f00898">mBatchCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a07c97ddc40ee60325e0bc21930ac5c79">mClipPlanes</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a3d14dfbb2f08906b57df424f9cd96bed">mClipPlanesDirty</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad7af2dd66a03230b58360ee9ebe349de">mColourWrite</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a60ce74b29c3e1c9e11041029117a85ad">mCullingMode</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a748f3ed723a45617a5adfd6c8d4decf2">mCurrentCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#af6b876972d358aa674d85322be84b4dd">mCurrentContext</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ab46dd74c60b9da6e0fb5e8c28793b6b7">mCurrentFragmentProgram</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a63f6bbfceb5f39d91fb00a248f7c29b9">mCurrentGeometryProgram</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0ed46fa148891beac57c2468d45fd995">mCurrentLights</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a179ea5dd6f5b8f1430ebc10dd582fdb8">mCurrentPassIterationCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a633705eb827ce4ad1a0d65761d31335c">mCurrentPassIterationNum</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa1eede369f4ba54cb166efafc8d3539e">mCurrentVertexProgram</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ac2e020886998e27c45608206308d3756">mDepthBufferPool</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa8a90a9af03e667cbf250f23c30fa2fe">mDepthWrite</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ad3c918fb9e33cd75b9a802d48acc800d">mDerivedDepthBias</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab852c2a4d985484527f4a701dad60981">mDerivedDepthBiasBase</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a55404396ef70888e6d7bf0e1d4177c8b">mDerivedDepthBiasMultiplier</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a671636ab611261911a21f52d7cc1c97a">mDerivedDepthBiasSlopeScale</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a9a071dab9e9b40bfde6d2e85cb363274">mDisabledTexUnitsFrom</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a2a2b64fcb748ff0bd21231c23ad3fe98">mDriverVersion</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ad0cf554e93303c9305d3446eb2efb411">mEventListeners</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab213f4023f49f961377aa52c8c11acc3">mEventNames</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa735bd71b568209de09adfa86b737737">mFaceCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a9ae06e6f262bc165c12cdc9592a83514">mFixedFunctionTextureUnits</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a79ba9d85873031a65a9548e65e50109d">mFragmentProgramBound</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a989d395609174738d5571fb6892262de">mGeometryProgramBound</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a01d9f1b57cc53680a9d0b50b063831aa">mGLInitialised</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a5ba7bb72708c2e6ab08eb57145208d90">mGlobalInstanceVertexBuffer</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aca0f02a2c01976d636303dd521631192">mGlobalInstanceVertexBufferVertexDeclaration</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a67884ecedea5a989c3da73a6f0860da7">mGlobalNumberOfInstances</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a00975b3f6d2d3d20054bf57ecae7b497">mGLSLProgramFactory</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#afe2052a28b0590d64d62dcf2956999b4">mGLSupport</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a489b7d773192d0a7af1a851163a276ac">mGpuProgramManager</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#afb5d5c238079ce1f4370dc3088c148e6">mHardwareBufferManager</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a7bb1437e3f40cda2bb1495b51ba88791">mHwOcclusionQueries</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#adf3d0f2e777d97e2032ef01cb1b3ecee">mInvertVertexWinding</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa4b66c5444cc5272418b7cfcf071aece">mLights</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a72ebe911e2d2273bec95c45fa734e0d7">mMainContext</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa40237e355676bb7024fccd8699eee96">mManualBlendColours</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a73161095cd10735da21bfea9a01472e0">mMinFilter</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#adac5018adaeb854dec7f8c41cc4b6438">mMipFilter</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a69c3a5daa75ce78fd56226941f1c8126">mPrioritisedRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa4c73904a4dc7b0c097d21acac1ec52f">mRealCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#acf87997a329260068e9d94a1a7941243">mRenderAttribsBound</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aac7cd483ff4b7d5b652d802baa85d0ba">mRenderInstanceAttribsBound</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a5ea599be4da15690178a9aca2261e992">mRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a293971e3a7cd7701dc6700f7e0381389">mRTTManager</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a6033caf1eddcabeef54efd705c75692f">mStencilMask</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a6bf15e083170d5ad953a2d273c723171">mStopRendering</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a7d062673a4505cc47867677fdb83e455">mTexProjRelative</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a8b5ae0207f8d1faf47169be4a2ee2714">mTexProjRelativeOrigin</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#adf710bf75fa0e96246bc55a7f592147e">mTextureCoordIndex</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a80f14e152184bddc68f8ae05bcefb3be">mTextureManager</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aec704e5edaeb7fe974ba4a0e73848c38">mTextureMatrix</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aae119c4beeeb7fb5a0f5b1c03c5a821c">mTextureTypes</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#afbcc824f177e64ae0ec373cd06591b4d">mUseAutoTextureMatrix</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab68aeffbe5cb555e1057c0ac3afcee54">mUseCustomCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a0716f3fd1349f7c4399d805d03e4c394">mVertexCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a69173bf6d120d39f702c5de9e0815218">mVertexProgramBound</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a4fac54ead1cef65aeb81b1d656802e22">mViewMatrix</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ac0df5de57fa3480f74c98c65a7211a30">mVSync</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aae9bef04f53864a06012711ea3857fc6">mVSyncInterval</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a7c4ad7937f023a43ee43473750d2bfe9">mWBuffer</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a48a06239cb6a49005ab266ece1ee65c7">mWorldMatrix</a></td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a25102ec4dca84c957336d45cedc6dbd2">postExtraThreadsStarted</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aae2bac8f22f70c95b07ded8f3f5dd1f0">preExtraThreadsStarted</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aa676f2d4a0eb7d22368c08242a22db0c">processInputDevices</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a68b8a1e474460b1248aeffcce440bc91">registerThread</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a06081e3d516c86dccb93f715143e9fd4">reinitialise</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a7d9e3b4369f98e46dbea4cb4b9390f9d">removeListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a3391b683d588628272d8d9de633e472e">RenderSystem</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a50a15a7bbc1beca5c91b6584a3060f1b">RenderTargetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a46a9b1385638112a80bf22fa1a5bf531">resetClipPlanes</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8d2f10981ce7e0dc5f034cc610f2593b">setAmbientLight</a>(float r, float g, float b)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aac5fcc0d42f327976f779f11e53a4d23">setClipPlane</a>(ushort index, Real A, Real B, Real C, Real D)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a23cc0a7d87b77ec3d0a34e92335bec1a">setClipPlanes</a>(const PlaneList &amp;clipPlanes)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ab40b0b5f2c46b556800e7622e10fb268">setClipPlanesImpl</a>(const PlaneList &amp;clipPlanes)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a9ba81d4dd0e46fa9f25219e919b86c15">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a207d38c53699525e2e49ee167f9c8eb5">setCurrentPassIterationCount</a>(const size_t count)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ac9df0824ff14a83d943626e51b134f15">setDepthBufferFor</a>(RenderTarget *renderTarget)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a927af19c2746aa2dd37018434bfc09f4">setDeriveDepthBias</a>(bool derive, float baseValue=0.0f, float multiplier=0.0f, float slopeScale=0.0f)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a48f579f0cafac7d334c1658af99900db">setGLLight</a>(size_t index, Light *lt)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a08d5c1eb418102cb50b67659b743ded3">setGLLightPositionDirection</a>(Light *lt, GLenum lightindex)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ac42f68bdcb6af6906383d43fd41dd15f">setGlobalInstanceVertexBuffer</a>(const HardwareVertexBufferSharedPtr val)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ab6e90c2fc5e640a846bee08d25078fe4">setGlobalInstanceVertexBufferVertexDeclaration</a>(VertexDeclaration *val)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a3e31b243ba86e2114925a99b2c2825e1">setGlobalNumberOfInstances</a>(const size_t val)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a0a0b42f82a637acb3df7fba70c1291aa">setInvertVertexWinding</a>(bool invert)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a8ad91e7b5c78abc64f9d863043169d2b">setLightingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0f8d131c5d1b402b6eb97e127376ede3">setLights</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0a394336cd14834d98baaad844fb944b">setNormaliseNormals</a>(bool normalise)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#ad48af2e46839e7a4c50a1315920c6f4a">setScissorTest</a>(bool enabled, size_t left=0, size_t top=0, size_t right=800, size_t bottom=600)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a0eb20e9e23aa15f29f95196b2c5cb195">setShadingType</a>(ShadeOptions so)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a2a66fdcf03ce93feb0b7f525fda7a1f8">setStencilBufferParams</a>(CompareFunction func=CMPF_ALWAYS_PASS, uint32 refValue=0, uint32 mask=0xFFFFFFFF, StencilOperation stencilFailOp=SOP_KEEP, StencilOperation depthFailOp=SOP_KEEP, StencilOperation passOp=SOP_KEEP, bool twoSidedOperation=false)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a61dd158a8d5d1f98a9844f962ac7d699">setStencilCheckEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a84cbbc554d4a718100f702c894446f61">setVertexBufferBinding</a>(VertexBufferBinding *binding)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aeb52979df3e9340a8b826c4a40c72984">setVertexDeclaration</a>(VertexDeclaration *decl)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa18ec4f5823ecb28f2cccdee85e5337c">setWaitForVerticalBlank</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a01c339f6e89d82b526fb7725424a4263">setWBufferEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a991465d648db98639dbdb73151ba73bc">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#aac18158225e9fdd39e0853210e2bca57">unbindGpuProgram</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#afcfe59b6739699af9bd35a101fe97fc8">unregisterThread</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a8b7b29f3b542c7cbaeb5da0c1269a388">updatePassIterationRenderState</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a6219a2d1f92be5548983a03de9522365">useCustomRenderSystemCapabilities</a>(RenderSystemCapabilities *capabilities)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a69792d68646d0886212893215113dab5">validateConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLRenderSystem.html#a5cdbf5bc81db26a06ea374852f8c06db">~GLRenderSystem</a>()</td><td><a class="el" href="classOgre_1_1GLRenderSystem.html">Ogre::GLRenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a785f83ff8a4ee8fb21a11c9d6fe5c928">~RenderSystem</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:20
</p>
</body>
</html>
